<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс CustomSystemPanel</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Свойства</a> &#124;
<a href="classCustomSystemPanel-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс CustomSystemPanel</div>  </div>
</div><!--header-->
<div class="contents">

<p>Прямоугольнк - верхняя панель приложения  
 <a href="classCustomSystemPanel.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:CustomSystemPanel:</div>
<div class="dyncontent">
<div class="center"><img src="classCustomSystemPanel__inherit__graph.png" border="0" usemap="#CustomSystemPanel_inherit__map" alt="Inheritance graph"/></div>
<map name="CustomSystemPanel_inherit__map" id="CustomSystemPanel_inherit__map">
<area shape="rect" title="Прямоугольнк &#45; верхняя панель приложения" alt="" coords="5,80,161,107"/>
<area shape="rect" title=" " alt="" coords="40,5,127,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса CustomSystemPanel:</div>
<div class="dyncontent">
<div class="center"><img src="classCustomSystemPanel__coll__graph.png" border="0" usemap="#CustomSystemPanel_coll__map" alt="Collaboration graph"/></div>
<map name="CustomSystemPanel_coll__map" id="CustomSystemPanel_coll__map">
<area shape="rect" title="Прямоугольнк &#45; верхняя панель приложения" alt="" coords="5,80,161,107"/>
<area shape="rect" title=" " alt="" coords="40,5,127,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:af7c769192b1a978dd43b2f58a5fbe23b"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCustomSystemPanel.html#af7c769192b1a978dd43b2f58a5fbe23b">window_id</a></td></tr>
<tr class="memdesc:af7c769192b1a978dd43b2f58a5fbe23b"><td class="mdescLeft">&#160;</td><td class="mdescRight">инентификатор окна, к которому присоединяется эта верхняя панель  <a href="classCustomSystemPanel.html#af7c769192b1a978dd43b2f58a5fbe23b">Подробнее...</a><br /></td></tr>
<tr class="separator:af7c769192b1a978dd43b2f58a5fbe23b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ab46cf03c51a4c24fa5d88f9445a68"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCustomSystemPanel.html#ac6ab46cf03c51a4c24fa5d88f9445a68">previousX</a></td></tr>
<tr class="memdesc:ac6ab46cf03c51a4c24fa5d88f9445a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Значение X перед перетаскиванием  <a href="classCustomSystemPanel.html#ac6ab46cf03c51a4c24fa5d88f9445a68">Подробнее...</a><br /></td></tr>
<tr class="separator:ac6ab46cf03c51a4c24fa5d88f9445a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a666db324353044cfcd4b74fafde9aabb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCustomSystemPanel.html#a666db324353044cfcd4b74fafde9aabb">previousY</a></td></tr>
<tr class="memdesc:a666db324353044cfcd4b74fafde9aabb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Значение Y перед перетаскиванием  <a href="classCustomSystemPanel.html#a666db324353044cfcd4b74fafde9aabb">Подробнее...</a><br /></td></tr>
<tr class="separator:a666db324353044cfcd4b74fafde9aabb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Прямоугольнк - верхняя панель приложения </p>

<p class="definition">См. определение в файле <a class="el" href="CustomSystemPanel_8qml_source.html">CustomSystemPanel.qml</a> строка <a class="el" href="CustomSystemPanel_8qml_source.html#l00015">15</a></p>
</div><h2 class="groupheader">Полный список свойств</h2>
<a id="ac6ab46cf03c51a4c24fa5d88f9445a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6ab46cf03c51a4c24fa5d88f9445a68">&#9670;&nbsp;</a></span>previousX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CustomSystemPanel::previousX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Значение X перед перетаскиванием </p>

<p class="definition">См. определение в файле <a class="el" href="CustomSystemPanel_8qml_source.html">CustomSystemPanel.qml</a> строка <a class="el" href="CustomSystemPanel_8qml_source.html#l00021">21</a></p>

</div>
</div>
<a id="a666db324353044cfcd4b74fafde9aabb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a666db324353044cfcd4b74fafde9aabb">&#9670;&nbsp;</a></span>previousY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CustomSystemPanel::previousY</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Значение Y перед перетаскиванием </p>

<p class="definition">См. определение в файле <a class="el" href="CustomSystemPanel_8qml_source.html">CustomSystemPanel.qml</a> строка <a class="el" href="CustomSystemPanel_8qml_source.html#l00023">23</a></p>

</div>
</div>
<a id="af7c769192b1a978dd43b2f58a5fbe23b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7c769192b1a978dd43b2f58a5fbe23b">&#9670;&nbsp;</a></span>window_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var CustomSystemPanel::window_id</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>инентификатор окна, к которому присоединяется эта верхняя панель </p>

<p class="definition">См. определение в файле <a class="el" href="CustomSystemPanel_8qml_source.html">CustomSystemPanel.qml</a> строка <a class="el" href="CustomSystemPanel_8qml_source.html#l00019">19</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="CustomSystemPanel_8qml_source.html">CustomSystemPanel.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
